=== modified file 'bzrlib/foreign.py'
--- bzrlib/foreign.py	2009-05-16 08:21:11 +0000
+++ bzrlib/foreign.py	2009-05-17 16:10:26 +0000
@@ -282,9 +282,9 @@
 
 
 class cmd_dpush(Command):
-    """Push into a foreign VCS without any custom bzr metadata.
+    """Push into a different VCS without any custom bzr metadata.
 
-    This will afterwards rebase the local Bazaar branch on the remote
+    This will afterwards rebase the local branch on the remote
     branch unless the --no-rebase option is used, in which case 
     the two branches will be out of sync after the push. 
     """
@@ -331,8 +331,9 @@
             try:
                 revid_map = source_branch.lossy_push(target_branch)
             except errors.LossyPushToSameVCS:
-                raise BzrCommandError("%r is not a foreign branch, use regular "
-                                      "push." % target_branch)
+                raise BzrCommandError("%r and %r are in the same VCS, lossy "
+                    "push not necessary. Please use regular push." %
+                    (source_branch, target_branch))
             # We successfully created the target, remember it
             if source_branch.get_push_location() is None or remember:
                 source_branch.set_push_location(target_branch.base)

=== modified file 'bzrlib/tests/blackbox/test_dpush.py'
--- bzrlib/tests/blackbox/test_dpush.py	2009-05-16 08:21:11 +0000
+++ bzrlib/tests/blackbox/test_dpush.py	2009-05-17 16:10:26 +0000
@@ -71,7 +71,7 @@
         source_tree = self.make_branch_and_tree("dc")
         output, error = self.run_bzr("dpush -d dc dp", retcode=3)
         self.assertEquals("", output)
-        self.assertContainsRe(error, 'not a foreign branch, use regular push')
+        self.assertContainsRe(error, 'in the same VCS, lossy push not necessary. Please use regular push.')
 
     def test_dpush(self):
         branch = self.make_dummy_builder('d').get_branch()

